﻿/* Copyright (c) 2010 Lexalytics Inc.

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the "Software"), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace LexaScopeNET
{
    /// <summary>
    /// Class encapsulating properties of an entity mention
    /// </summary>
    public class LXAEntityMention
    {
        /// <summary>Document containing one or more mentions</summary>
        public string Document = "";
        /// <summary>Entity sentiment in the mention</summary>
        public double Sentiment = 0.0;
        /// <summary>Score associated with the mention</summary>
        public double Magnitude = 0.0;
        /// <summary>Number of mentions in document</summary>
        public int Mentions = 0;
        /// <summary>Additional metadata for the entity mention</summary>
        public Dictionary<string, string> EntityMetadata = new Dictionary<string, string>();
    }
}
