﻿/* Copyright (c) 2010 Lexalytics Inc.

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the "Software"), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace LexaScopeNET
{
    /// <summary>
    /// Class encapsulating theme mention
    /// </summary>
    public class LXAThemeMention
    {
        /// <summary>Document containing theme</summary>
        public string Document = "";
        /// <summary>Theme score in document</summary>
        public double Score = 0.0;
        /// <summary>Type of theme, 0=theme, 1=metatheme</summary>
        public int Type = 0;
        /// <summary>Indicator of positive, neutral, negative sentiment</summary>
        public int Sentiment = 0;
        /// <summary>The actual sentiment value</summary>
        public double Magnitude = 0.0;
        /// <summary>Additional metadata for the theme mention</summary>
        public Dictionary<string, string> ThemeMetadata = new Dictionary<string, string>();
    }
}
