﻿/* Copyright (c) 2010 Lexalytics Inc.

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the "Software"), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lexalytics4Excel.Database
{
    /// <summary>
    /// Helper class containing sets of SQL code to be used to setup the local cache database
    /// </summary>
    public class SqlCode
    {
        /// <summary>
        /// Instructions to update the database to a new schema version
        /// </summary>
        public static void updateDB()
        { }

        /// <summary>
        /// Instructions to create a new local cache database with current schema
        /// </summary>
        public static string[] newDBquery = new string[]{
		"CREATE TABLE IF NOT EXISTS asset(identifier TEXT PRIMARY KEY, sentiment REAL DEFAULT 0.0)",
        "DELETE FROM asset",
		"CREATE TABLE IF NOT EXISTS entities(identifier TEXT, entity TEXT, type TEXT, label TEXT, sentiment INTEGER DEFAULT 0, magnitude REAL DEFAULT 0.0, mentions INTEGER DEFAULT 0)",
        "DELETE FROM entities",
        "CREATE TABLE IF NOT EXISTS themes(identifier TEXT, theme TEXT, type INTEGER, score REAL, sentiment INTEGER DEFAULT 0, magnitude REAL DEFAULT 0.0)",
        "DELETE FROM themes",
        "CREATE TABLE IF NOT EXISTS metadata(identifier TEXT, label TEXT, value TEXT)",
        "DELETE FROM metadata",
        };

    }
}
